Package icyllis.arc3d.engine

# Class TextureResolveTask

java.lang.Object
icyllis.arc3d.core.RefCnt
icyllis.arc3d.engine.RenderTask
icyllis.arc3d.engine.TextureResolveTask

All Implemented Interfaces:
  `RefCounted`

public final class TextureResolveTask extends RenderTask

- ## Field Summary

  ### Fields inherited from class icyllis.arc3d.engine.RenderTask

  `ATLAS_FLAG, CLOSED_FLAG, DETACHED_FLAG, IN_RESULT_FLAG, mTargets, mTaskManager, RESOLVE_FLAG_MIPMAPS, RESOLVE_FLAG_MSAA, SKIPPABLE_FLAG, TEMP_MARK_FLAG`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TextureResolveTask(RenderTaskManager taskManager)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addResolveTarget(@SharedPtr SurfaceProxy proxy, int resolveFlags)`
  `boolean`
  `execute(OpFlushState flushState)`
  This method will be invoked at flush-time to execute commands.

  ### Methods inherited from class icyllis.arc3d.engine.RenderTask

  `addDependency, addTarget, deallocate, dependsOn, detach, gatherSurfaceIntervals, getTarget, getTarget, getUniqueID, isClosed, isInstantiated, isSkippable, makeClosed, makeSkippable, numTargets, onMakeClosed, onMakeSkippable, prepare, prePrepare, toString`

  ### Methods inherited from class icyllis.arc3d.core.RefCnt

  `create, create, getRefCnt, getRefCntAcquire, getRefCntVolatile, move, move, ref, unique, unref`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TextureResolveTask

    public TextureResolveTask(RenderTaskManager taskManager)

- ## Method Details

  - ### addResolveTarget

    public void addResolveTarget(@SharedPtr @SharedPtr SurfaceProxy proxy, int resolveFlags)

  - ### execute

    public boolean execute(OpFlushState flushState)
    Description copied from class: `RenderTask`
    This method will be invoked at flush-time to execute commands.
    Specified by:
      `execute` in class `RenderTask`